# Ruboty::Image

Ruboty handler to search a image from Google image.

## Installation

Add this line to your ruboty's Gemfile:

```ruby
gem 'ruboty-image'
```

## Usage

```
@ruboty img top <keyword>  - Search a image from Google image
@ruboty img rand <keyword> - Search a random image from Google image
```

## Setup

Ruboty::Image requires access tokens.

Please get via [here](https://developers.google.com/custom-search/json-api/v1/overview?hl=ja#cx).

```
export CSE_ID=
export CSE_KEY=
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release` to create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

1. Fork it ( https://github.com/kaihar4/ruboty-image/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
